// 2022  Another Blog Refresh

// Wrapper
.refresh-blog{

  .refresh-blog-hero-wrapper{
    background: linear-gradient(0deg, rgba(23,19,33,1) 0%, rgba(23,19,33,1) 84%, rgba(255,255,255,1) 84%, rgba(255,255,255,1) 100%);
    margin-top: 64px;
    padding-bottom: 48px;

    @media (max-width: 992px) {
      margin-top: 32px;

    }

    .section-hero .slp-container{
      display: flex;
      padding-bottom: 48px;
      align-items: flex-end;

      .hero-highlited{
        background-color: #E3D6FF;
        border-radius: 8px;
        height: 704px;
        max-height: 704px;
        width: 635px;
        padding: 24px 24px 52px;
        margin-right: 30px;
        transition: 0.3s ease;

        &:hover{
          transition: 0.3s ease;
          border-bottom-right-radius: 50px;
        }

        .hero-highlighted-image{
          width: 100%;
          height: 334px;
          background-size: cover;
        }

        .hero-highlighted-eyebrow{
          margin-bottom: 16px;

          a{
            text-transform: capitalize;
            font-size: 14px;
            font-weight: 600;
            color: #171321;

            &:hover{
              text-decoration: underline;
            }
          }
        }
        
        .hero-highlighted-title{
          text-decoration: none;

          h3{
            font-size: 40px;
            font-weight: 600;
            font-family: 'Inter';
            color: #171321;
            line-height: 48px;
            letter-spacing: -0.03em;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: normal;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 3;
          }
        }

        p{
          font-weight: 400;
          font-size: 20px;
          line-height: 24px;
          color: #171321;
          margin-top: 16px;
          font-family: 'Inter';
          text-overflow: ellipsis;
          overflow: hidden;
          white-space: normal;
          display: -webkit-box;
          -webkit-box-orient: vertical;
          -webkit-line-clamp: 3;
        }

        @media (max-width: 992px) {
          
          max-height: inherit;
          height: auto;

          .hero-highlighted-title h3{
            -webkit-line-clamp: inherit;
            font-size: 32px;
            line-height: 40px;
          }
          p{
            -webkit-line-clamp: inherit;
          }
        }
      }
      .hero-posts-wrapper{
        max-height: 704px;
      }
      .hero-posts{
        width: 445px;
        display: flex;
        flex-direction: column;
        align-items: center;

        .trending-title{
          margin-bottom: 30px;

          h3{
            margin: 0;
            font-size: 32px;
            font-weight: 600;
          }
        }

        .post{
          background-color: #fff;
          border: 1px solid #E8E7EB;
          padding: 24px 40px 32px;
          border-radius: 8px;
          width: 100%;
          height: 196px;
          margin-bottom: 24px;
          transition: 0.3s ease-out;

          &:hover{
            border-bottom-right-radius: 50px;
            transition: 0.3s ease-out;
            background: #F6F3FE;
          }  

          .hero-post-eyebrow{

            a{
              text-transform: capitalize;
              color:#7759C2;
              font-size: 14px;
              font-weight: 600;
              &:hover{
                text-decoration: underline;
              }
            }

          }

          a.hero-post-title{
            text-decoration: none;

            h3{
              font-size: 24px;
              margin: 8px 0;
              font-weight: 600;
              color: #171321;
              line-height: 32px;
              letter-spacing: -0.03em;
              text-overflow: ellipsis;
              overflow: hidden;
              white-space: normal;
              display: -webkit-box;
              -webkit-box-orient: vertical;
              -webkit-line-clamp: 2;
            }
          }

          p{
            font-weight: 400;
            color: #171321;
            font-size: 16px;
            line-height: 20px;
            margin: 0;
            text-overflow: ellipsis;
            overflow: hidden;
            white-space: normal;
            display: -webkit-box;
            -webkit-box-orient: vertical;
            -webkit-line-clamp: 2;
          }
        }
      }

      @media (max-width: 992px) {
        display: block;

        .hero-highlited{
          max-width: 100%;
        }

        .trending-title{
          margin-top: 24px;
          color: #fff;
        }

        .hero-posts{
          width: 100%;

          .post{
            padding: 24px 16px 32px;
            margin-bottom: 16px;
          }
        }
      }
    }
  }

  .newsletter-form-short{
    background-color: #F6F3FE;
    padding: 48px 0;

    h2{
      font-weight: 600;
      font-size: 32px;
      color: #000;
      margin: 0 0 16px;
    }

    .confirm-message p{
      font-size: 16px;
     color: #000; 
    }

    .cbnc-marketo{
      display: none;
    }

    .mktoForm{
      width: auto;
      max-width: fit-content;

      .mktoFieldDescriptor{
        width: 600px;
      }

      .mktoLabel{
        font-size: 16px;
        line-height: 20px;
        color: #000;
        font-weight: 400;
        margin-bottom: 8px;
        width: 100%;
      }

      input{
        width: 342px;
        height: 44px;
        margin-right: 16px;
      }

      .mktoButton{
        background-color: #000;
        color: #fff;
        height: 44px;
        width: 174px;
        border-radius: 4px;
        font-size: 18px;
        line-height: 18px;
        font-weight: 600;
        border: 0;
      }

      .mktoError{
        order: 2;
      }

      .mktoHtmlText{
        color: #000;

        a{
          color: #000;
          text-decoration: underline;
        }
      }
    }

    @media (max-width: 992px) {

      h2{
        line-height: 36px;
        font-size: 28px;
      }

      .mktoForm{

        .mktoFieldDescriptor{
          width: 100%;
        }

        input{
          width: 100%;
          margin: 0 0 16px;
          order: 1;
          margin: 0;
        }

        .mktoError{
          order: 2;
        }

        .mktoButton{
          width: 100%;
          order: 3;
          margin-top: 16px;
        }
      }
    }
  }

  .section-search-categories {
    h4{
      color: #fff;
    }
    
    margin: auto;

    .tags-wrapper{
      display: flex;
      flex-direction: column;

      .tags-container{
        display: flex;
        flex-wrap: wrap;
        align-self: center;
        @media (max-width: 1025px) {
          margin-top: 1rem;
        }
      }
    }

    .tag{
      background-color: #fff;
      border-radius: 20px;
      border: 1px solid #000;
      padding: 4px 16px;
      margin: 4px;
      width: fit-content;
      color: #7759C2;
      text-transform: capitalize;
      transition: background-color 0.3s ease;

      a{
        text-decoration: none; 
        transition: color 0.3s ease;
      }

      &:hover, &.active{
        cursor: pointer;

        a{
          color: #fff;
          transition: color 0.3s ease;
        }
        background-color: #7759C2;
        transition: background-color 0.3s ease;
      }
    }
  }

  .slp-container.section-posts{
    margin-top: 48px;
    @media (max-width: 768px) {
      margin-top: 32px;
    }
  }

  .section-posts{
    .blog-card,.category-card{
      padding: 24px 16px;
      box-shadow: none;
      height: fit-content;
      transition: background 0.3s ease, border-radius 0.3s ease !important;

      &:hover{
        background-color: #F6F3FE;
        transition: background 0.3s ease, border-radius 0.3s ease !important;
        box-shadow: none  !important;
        border-radius: 8px 8px 50px 8px;
      }
    }
    .category-card{
      margin-bottom: 32px;
      @media (max-width: 768px) {
        margin-bottom: 16px;
      }

      .category-card-image{

        img{
          width: 100%;
          height: 200px;
          object-fit: cover;
        }
        
        &:after{
          display: none;
        }
      }
    }

    .blog-card-content{
      padding: 16px 0;
      background-color: inherit;
    }

    a.eyebrow{
      display: block;
      text-transform: capitalize;
      color: #6b4fbb !important;
      margin-bottom: 16px;
      font-weight: 600;
      line-height: 20px;
      &:hover{
        text-decoration: revert;
      }
    }
  }


  /* Overwrite */
  .category-card-post-list a.description{
    font-size: inherit;
    font-weight: inherit;
    line-height: inherit;
  }
  .justify-sb{
    justify-content: space-between;
  }
  a{
    text-decoration: none;
  }

  .st-blog.search-blog{
    margin: 0;
  }

  .search-blog{
    @media (max-width: 768px) {
      width: 100%;
    }
  }

  .social-icon-links{
    display: flex;

    a{
      font-size: 16px;
      padding: 14px;
    }
  }

  .row{
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    margin: 0;
    &.section-posts{
      justify-content: space-between;
    }
  }

  .flex-col-1-3{
    margin:0;
  }
  
  .col-4,.col-8{
    flex: 1;
  }

  .col-4{

    @media (min-width: 1025px) {
      max-width: 33.33%;
    }
  }

  .col-8{

    @media (min-width: 1025px) {
      max-width: 66.66%;
    }
  }

  .col-6{

    @media (min-width: 1025px) {
      max-width: 50%;
    }
  }

  .col-7{

    @media (min-width: 1025px) {
      max-width: 58.333%;
    }
  }

  .slp-container {
    margin: auto;
    height: 100%;
  }

  h5.semibold{
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;
    letter-spacing: -1.5px;
  }

  h4{
    font-size: 32px;
    font-weight: 600;
    line-height: 40px;
    margin: 16px 0;
  }
}